#!/usr/bin/env bash
# executed by bash(1) for non-login shells.

# ==============================
# SECRETS
# ==============================

# for the boop function
NTFYSERVER="ntfy.server.tld"
export NTFYBOOPSURL="https://${NTFYSERVER}/boops"
if command -v keyring 1> /dev/null && [[ -n "$DBUS_SESSION_BUS_ADDRESS" ]]; then
  NTFYBOOPSTOKEN="$(keyring -b keyring.backends.SecretService.Keyring get ${NTFYSERVER} boop-token)"
  export NTFYBOOPSTOKEN
fi

# locale city for scripts like meteo alias
export MYCITY="Some City"
