#!/usr/bin/env bash
# ~/.bashrc: executed by bash(1) for non-login shells.

# ==============================
# AUTOSTART
# ==============================

# run MOTD at login only in an ssh session containing the env $SSH_MOTD=1
if [[ -n "${TMUX}" ]] && [[ -n "${SSH_CONNECTION}" ]] && [[ "${SSH_MOTD-}" == 1 ]] && [[ -f "/etc/update-motd.d/00-motdfetch" ]]; then
  motd
else
  # use function pgdown to get the prompt to terminal window bottom
  pgdown
fi
